---

stages:
  - pre-commit
  - test

variables:
  ENVIRONMENT: "captain-america"

include:
  - project: 'ccsolutions.io/open-source/templates/gitlab-ci-templates'
    ref: 'v2.0.0'
    file: 'OpenTofuPipelines/OpenTofuTest.yml'

pre-commit:standards:
  stage: pre-commit
  environment:
    name: ${ENVIRONMENT}
  extends: .tofu:pre-commit

module:test:
  stage: test
  environment:
    name: ${ENVIRONMENT}
  extends: .tofu:test
